UiPath Documentation
test-cloud
latest
false
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

Test Cloud API ガイド

最終更新日時 2026年5月15日

ディレクトリ エンティティを一括解決する

組織 ID に基づいて、単一の要求内の一意の識別子と種類によって複数のディレクトリ エンティティを解決します。

API エンドポイント

POST {accessURL}/{organizationName}/identity_/api/Directory/BulkResolve/{partitionGlobalId}

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud (公共部門向け)https://govcloud.uipath.us/
Test Cloud (専有型)https://{customURL}.dedicated.uipath.com/

スコープ

次のスコープが必要です。

  • Pm。ディレクトリ

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。

パス パラメーター

パス パラメーターデータ型説明
partitionGlobalId (必須)文字列 (GUID)組織内のエンティティを解決する組織の ID です。

要求本文

要求本文では、解決するエンティティを指定します。各エンティティ ID は、同じインデックスのエンティティの種類に対応します。

{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}
{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}
プロパティデータ型説明
entityIds (必須)String の配列解決するディレクトリ エンティティの一意の識別子です。
entityTypes (必須)String の配列各エンティティ ID に対応する型。有効な値: UserGroupApplicationです。entityIdsと同じ長さにする必要があります。

応答

200 OK

各エンティティ識別子を、その解決されたディレクトリ エンティティにマッピングするディクショナリを返します。解決できなかったエンティティは、 nullとして返されます。

{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}

400 Bad Request

entityIdsentityTypes の長さが異なる場合、または必要なパラメーターがない場合に返されます。

要求の例

API 呼び出しの構築に必要な情報をすべて収集したとします。

呼び出しは次の例のようになります (cURL)。

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}'

呼び出しが成功した場合、応答本文は次のようになります。

{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • パス パラメーター
  • 要求本文
  • 応答
  • 200 OK
  • 400 Bad Request
  • 要求の例

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得